Bug 458275 - repeatedly clicking the notification area icon makes empathy lose it's window decorations
repeatedly clicking the notification area icon makes empathy lose it's window...
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: empathy (Show other bugs)
10
All Linux
medium Severity medium
: ---
: ---
Assigned To: Peter Gordon
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-08-07 09:31 EDT by David Nielsen
Modified: 2009-11-25 07:20 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-11-25 07:20:18 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
GNOME Desktop 510871 None None None Never

  None (edit)
Description David Nielsen 2008-08-07 09:31:43 EDT
Description of problem:
A little fun bug, I noticed that repeatedly clicking the notification area icon for empathy will eventually cause the buddy list to pop up without window decorations.

Interestingly, this does not crash metacity, it affects only empathy when it happens.

Version-Release number of selected component (if applicable):
empathy-2.23.6-1.fc10.x86_64
metacity-2.23.55-1.fc10.x86_64

How reproducible:
100%

Steps to Reproduce:
1. start empathy
2. repeatedly click the notification icon like a slightly trained monkey
  
Actual results:
Say goodbye to your little window decoration friend

Expected results:
continued use of window decorations

Additional info:
da_DK.UTF-8
Comment 1 Peter Gordon 2008-08-22 22:51:18 EDT
I just tried this with 2.23.90-1 (built into rawhide just a few hours ago), and I can definitely reproduce it after about 20-30 quick and repeated clicks.

I'm not so sure this is a true bug though: Is that much clicking really to be expected behavior of users? :o
Comment 2 Bug Zapper 2008-11-25 21:41:47 EST
This bug appears to have been reported against 'rawhide' during the Fedora 10 development cycle.
Changing version to '10'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Fabian Deutsch 2009-02-13 16:03:35 EST
This can also be reliable reproduced using F10 packages (or rawhide) and closing the contact list using ALT-F4 and reopening it clicking on the tray icon. The window border should not be there.
Comment 4 Peter Gordon 2009-07-04 03:46:50 EDT
I just re-checked this, and it still happens with the updated F-11 packages; but, interestingly enough, _not_ when using compiz ("desktop effects"). With compiz active, a full minute of furious clicking on the notification icon causes no issues with the window decorations. However, reverting to Metacity and repeating the process causes the window decorations to disappear after only a few seconds of such wild clicking. 

This makes me think it's a Metacity bug instead, but I'm not quite sure where to look further in order to solve it, as I'm not able to cause similar issues with Pidgin, . I'll see if there's anything on the upstream bug tracker about this...
Comment 5 Brian Pepple 2009-11-09 23:28:31 EST
*** Bug 524131 has been marked as a duplicate of this bug. ***
Comment 6 Bug Zapper 2009-11-18 03:15:02 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 7 Fabian Deutsch 2009-11-25 07:20:18 EST
This seems to be solved for some time now.

Note You need to log in before you can comment on or make changes to this bug.